<?php

@require("./functions.php");
@require("./inc/start.inc.php");

if($ringEnabled==0) { echo "<div align=\"center\">".$ringMsg."</div>"; }
elseif(!empty($_POST['finish'])) {

  if(empty($_POST['search'])) $error .= $lang[blankSearch]."<br />";
  elseif(strlen($_POST['search'])<3) $error .= $lang[searchLT]."<br />";
  elseif(strlen($_POST['search'])>15) $error .= $lang[searchGT]."<br />";

  if(!empty($error)) { echo $error."<br />"; printForm(); }
  else {

    printForm();

    $found = FALSE;

    $search = ereg_replace("[^-A-Za-z]", "", $_POST['search']);

    $exact = (!empty($_POST['exact'])) ? " (".$lang[exactMatch].")" : "";

    echo $lang[searchFor].": ".$search.$exact."<br />";

    if(!empty($_POST['exact'])) {
      if(($query=query("SELECT ringnumber,ringname,description,keywords,hits,created,lastaction FROM rings ORDER BY hits DESC",1))) {
        $lastDays = 86400*$lastActionDays;
        echo "<blockquote>";
        while($this = @mysql_fetch_array($query)) {
          $ntime = time()-$this[lastaction];
          if($ntime<$lastDays) {
            $list = explode(",",$this[keywords]);
            foreach($list as $key) {
              if($search==$key) {
                $X = query("SELECT COUNT(sitenumber) FROM ring_".$this[ringnumber]." WHERE activated='1' && approved='1'",1);
                $count = $X ? mysql_result($X,0,0) : 0;
                echo "<a href=\"index.php?ring=".$this[ringnumber]."\">".$this[ringname]."</a><div style=\"margin-left: 10px\"><b>".$lang[created].":</b> ".date($dateFormat,$this[created])." | <b>".$lang[sites].":</b> ".$count." | <b>".$lang[totalHits].":</b> ".$this[hits]."<br /><br />".$this[description]."</div><br /><br />";
                $found = TRUE;
              }
            }
          }
        }
        echo "</blockquote>";
      }
    } else {
      if(($query=query("SELECT ringnumber,ringname,description,hits,created,lastaction FROM rings WHERE keywords LIKE \"%".$search."%\" ORDER BY hits DESC",1))) {
        echo "<blockquote>";
        while($this=mysql_fetch_array($query)) {
          $X = query("SELECT COUNT(sitenumber) FROM ring_".$this[ringnumber]." WHERE activated='1' && approved='1'",1);
          $count = $X ? mysql_result($X,0,0) : 0;
          echo "<a href=\"index.php?ring=".$this[ringnumber]."\">".$this[ringname]."</a><div style=\"margin-left: 10px\"><b>".$lang[created].":</b> ".date($dateFormat,$this[created])." | <b>".$lang[sites].":</b> ".$count." | <b>".$lang[totalHits].":</b> ".$this[hits]."<br /><br />".$this[description]."</div><br /><br />";
          $found = TRUE;
        }
        echo "</blockquote>";
      }
    }

    if(!$found) echo "<blockquote>".$lang[searchNothing]."</blockquote><br />";

  }


############
# Print Form

} else { printForm(); }

#####################
# Print Form Function

function printForm() {

  global $lang,$search;

  if(empty($search)) $search="";

  $checked = (!empty($_POST['exact'])) ? " checked=\"checked\"" : "";

  echo "
  <div align=\"center\">
  <form action=\"search.php\" method=\"post\">
  <input type=\"hidden\" name=\"finish\" value=\"TRUE\" />
  <table border=\"1\" cellpadding=\"5\" cellspacing=\"0\">
  <tr><td><b>".$lang[searchKeyword].":</b><div><ul><li>".$lang[singleKeyword]."</li><li>".$lang[keywordMax]."</li></ul></div></td><td><input type=\"text\" name=\"search\" value=\"".$search."\" /></td></tr>
  <tr><td><b>".$lang[exactMatch].":</b></td><td><input type=\"checkbox\" name=\"exact\" value=\"TRUE\"".$checked." /></td></tr>
  <tr><td colspan=\"2\" align=\"center\"><input type=\"submit\" value=\"".$lang[go]."\" /></td></tr>
  </table>
  </form>
  </div>
";

}

@require("./inc/end.inc.php");

ringsEnd();

?>